#include <iostream>
#include <string>
#include <stack>

using namespace std;

int main() {
    string s;
    cin >> s;

    stack<char> st; // Ползваме истински стек

    for (int i = 0; i < s.length(); i++) {
        if (!st.empty() && st.top() == s[i]) {
            st.pop();
        } else {
            st.push(s[i]);
        }
    }

    if (st.empty()) {
        cout << "EMPTY" << endl;
    } else {
        // Трябва ни помощен низ, за да ги обърнем в правилния ред
        string result = "";
        while (!st.empty()) {
            result = st.top() + result; // Добавяме отпред, за да запазим реда
            st.pop();
        }
        cout << result << endl;
    }

    return 0;
}
